Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problema con eapi 5
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Sun May 11, 2014 4:53 pm    Post subject: Problema con eapi 5 Reply with quote

Hola por falta de tiempo he tenido bastante tiempo mi gentoo abandonado, el otro dia lo puse en marcha otra vez y quise hacer una actualizacion pero tengo un problema
al hacer emerge me sale esto:
Code:
AcuGentoo pedraku # emerge -uDN world
!!! Unable to parse profile: '/etc/make.profile'
!!! ParseError: Profile contains unsupported EAPI '5': '/usr/portage/profiles/default/linux/amd64/13.0/desktop/gnome/eapi'
!!! Your current profile is invalid. If you have just changed your profile
!!! configuration, you should revert back to the previous configuration.
!!! Allowed actions are limited to --help, --info, --search, --sync, and
!!! --version.


Code:
AcuGentoo pedraku # eselect profile list
!!! Warning: Both /etc/make.profile and /etc/portage/make.profile exist.
!!! Warning: Using /etc/make.profile for now.
Available profile symlink targets:
  [1]   default/linux/amd64/13.0
  [2]   default/linux/amd64/13.0/selinux
  [3]   default/linux/amd64/13.0/desktop
  [4]   default/linux/amd64/13.0/desktop/gnome *
  [5]   default/linux/amd64/13.0/desktop/gnome/systemd
  [6]   default/linux/amd64/13.0/desktop/kde
  [7]   default/linux/amd64/13.0/desktop/kde/systemd
  [8]   default/linux/amd64/13.0/developer
  [9]   default/linux/amd64/13.0/no-multilib
  [10]  default/linux/amd64/13.0/x32
  [11]  hardened/linux/amd64
  [12]  hardened/linux/amd64/selinux
  [13]  hardened/linux/amd64/no-multilib
  [14]  hardened/linux/amd64/no-multilib/selinux
  [15]  hardened/linux/amd64/x32
  [16]  hardened/linux/uclibc/amd64

Code:

AcuGentoo pedraku # emerge --version
!!! Unable to parse profile: '/etc/make.profile'
!!! ParseError: Profile contains unsupported EAPI '5': '/usr/portage/profiles/default/linux/amd64/13.0/desktop/gnome/eapi'
Portage 2.1.10.44 (default/linux/amd64/13.0/desktop/gnome, gcc-4.5.3, glibc-2.12.2, 3.2.1-gentoo-r2 x86_64)

Code:
AcuGentoo pedraku # emerge -1v portage
!!! Unable to parse profile: '/etc/make.profile'
!!! ParseError: Profile contains unsupported EAPI '5': '/usr/portage/profiles/default/linux/amd64/13.0/desktop/gnome/eapi'
!!! Your current profile is invalid. If you have just changed your profile
!!! configuration, you should revert back to the previous configuration.
!!! Allowed actions are limited to --help, --info, --search, --sync, and
!!! --version.


He intentado hacer estos pasos pero no me funciona:
Code:
AcuGentoo pedraku # rm -f /etc/make.profile
AcuGentoo pedraku # ln -snf /usr/portage/profiles/default/linux/amd64/13.0/desktop/gnome/ /etc/make.profile
AcuGentoo pedraku # ls -l /etc/make.profile
lrwxrwxrwx 1 root root 61 may 11 08:41 /etc/make.profile -> /usr/portage/profiles/default/linux/amd64/13.0/desktop/gnome/


Como he dicho hace bastante que no toco mi gentoo y estoy un poco perdido,gracias.
Back to top
View user's profile Send private message
agdg
Guru
Guru


Joined: 15 Aug 2010
Posts: 320

PostPosted: Sun May 11, 2014 7:07 pm    Post subject: Reply with quote

Tiene pinta de que cambiaste de perfil antes de actualizar portage. Puedes intentar lo siguiente:
Code:
eselect profile set 0
emerge -vq portage
eselect profile set 4

_________________
make install . es
Noticias, apuntes y pequeños tutoriales sobre GNU/Linux
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Sun May 11, 2014 10:41 pm    Post subject: Reply with quote

El perfil 0 me dice que no existe

Code:
AcuGentoo pedraku # eselect profile set 0
!!! Warning: Both /etc/make.profile and /etc/portage/make.profile exist.
!!! Warning: Using /etc/make.profile for now.
/usr/share/eselect/modules/profile.eselect: línea 57: targets: subíndice de matriz incorrecto
!!! Error: Target "0" doesn't appear to be valid!
exiting


Code:
AcuGentoo pedraku # eselect profile list
!!! Warning: Both /etc/make.profile and /etc/portage/make.profile exist.
!!! Warning: Using /etc/make.profile for now.
Available profile symlink targets:
  [1]   default/linux/amd64/13.0
  [2]   default/linux/amd64/13.0/selinux
  [3]   default/linux/amd64/13.0/desktop
  [4]   default/linux/amd64/13.0/desktop/gnome *
  [5]   default/linux/amd64/13.0/desktop/gnome/systemd
  [6]   default/linux/amd64/13.0/desktop/kde
  [7]   default/linux/amd64/13.0/desktop/kde/systemd
  [8]   default/linux/amd64/13.0/developer
  [9]   default/linux/amd64/13.0/no-multilib
  [10]  default/linux/amd64/13.0/x32
  [11]  hardened/linux/amd64
  [12]  hardened/linux/amd64/selinux
  [13]  hardened/linux/amd64/no-multilib
  [14]  hardened/linux/amd64/no-multilib/selinux
  [15]  hardened/linux/amd64/x32
  [16]  hardened/linux/uclibc/amd64


Esta del 1 al 16 el 0 no esta y tengo el 4 que es el que tenia funcionando y no recuerdo haber cambiado de perfil.
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3757

PostPosted: Mon May 12, 2014 9:38 am    Post subject: Reply with quote

nos puedes dejar ver lo siguiente pls. :

ls -la /etc/make.profile
ls -la /etc/portage/make.profile

solo debería existir uno de los 2, si alguno de los enlaces apunta a un perfil que ya no existe NO lo borres, elimina el otro enlace.
Si fuera así, actualiza portage y luego cambia el enlace a un perfil correcto.

saluetes
Back to top
View user's profile Send private message
natrix
Guru
Guru


Joined: 23 Aug 2013
Posts: 337

PostPosted: Mon May 12, 2014 1:38 pm    Post subject: Reply with quote

Hola pedraku:

Lo mas importante es actualizar portage.

Hace un tiempo tuve el mismo problema y lo pude solucionar así:

Edita el archivo:

Code:
nano -w /usr/portage/profiles/default/linux/amd64/13.0/desktop/gnome/eapi


en el archivo cambia el “5” por un “4” (sin las comillas).

En el make.conf agrega este features:

Code:
FEATURES="-collision-protect"


Luego emerge portage con estas USEs:

Code:
USE="-python_targets_python3_2 -python_targets_python3_3”


Si aparecen problemas de colapso vuelve a emerge portage.

Luego sin demoras corre:

Code:
emerge -e system


Es probable que encuentres cambios de estructuras, e.g. si tu make.conf estaba en “/etc”, puedes que necesites trabajarlo en “/etc/portage”. Con los profiles puedes tener cambios parecidos.


Para renovar el EAPI también ten presente este link que te puede ser útil:

http://www.gentoo.org/proj/es/portage/doc/manually-fixing-portage.xml


Suerte!!!!
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Mon May 12, 2014 4:31 pm    Post subject: Reply with quote

Hola gringo aqui te dejo la salida:

Code:
AcuGentoo pedraku # ls -la /etc/make.profile
lrwxrwxrwx 1 root root 61 may 11 08:41 /etc/make.profile -> /usr/portage/profiles/default/linux/amd64/13.0/desktop/gnome/
AcuGentoo pedraku # ls -la /etc/portage/make.profile
lrwxrwxrwx 1 root root 59 may  9 23:38 /etc/portage/make.profile -> ../../usr/portage/profiles/default/linux/amd64/13.0/desktop
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Mon May 12, 2014 4:40 pm    Post subject: Reply with quote

Hola natrix, el paso primero de editar el eapi y cambiar el 5 por 4 ya lo tenia hecho
he añadido el FEATURES y las USES al make.conf

Code:
 # These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-march=native -O2 -pipe"
CXXFLAGS="${CFLAGS}"

MAKEOPTS="-j3"
EMERGE_DEFAULT_OPTS="--autounmask=y --ask --verbose"
LINGUAS="es"
INPUT_DEVICES="evdev"
VIDEO_CARDS="nvidia"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
#ACCEPT_KEYWORDS="amd64"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"
FEATURES="-collision-protect"



# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
USE="-python_targets_python3_2 -python_targets_python3_3 mmx sse sse2 3dfx 3dnow X a52 aac acpi adns alsa apm -avahi atm bluetooth cairo bzip2 -cups cdr cgi curl dbus -directfb -doc dvdr fam ffmpeg flac fontconfig
gdbm gif gimp gnome gpm gtk hddtemp java jpeg -kde lame libnotify lm_sensors matroska mp3 mp4 mpeg mplayer ncurses nls pdf perl png python -qt4  subversion svga theora tiff
truetype udev usb vanilla x264 xcomposite xvid mdnsresponder-compat -sdl xvmc -dso  threads icu moc zlib"


Al hacer emerge portage sigue igual:
Code:
AcuGentoo pedraku # emerge portage
!!! Unable to parse profile: '/etc/make.profile'
!!! ParseError: Profile contains unsupported EAPI '5': '/usr/portage/profiles/default/linux/amd64/13.0/desktop/gnome/eapi'
!!! Your current profile is invalid. If you have just changed your profile
!!! configuration, you should revert back to the previous configuration.
!!! Allowed actions are limited to --help, --info, --search, --sync, and
!!! --version.
Back to top
View user's profile Send private message
natrix
Guru
Guru


Joined: 23 Aug 2013
Posts: 337

PostPosted: Mon May 12, 2014 4:53 pm    Post subject: Reply with quote

Hola:

Ahora recuerdo que tuve que editar más de un archivo EAPI, creo que fueron tres. A todos los pase de "5" a "4". Intenta encontrarlos y edítalos, todos estan en /etc. Cuando actualices portage pasaran a "5" automáticamente

Lamento no poder darte información más precisa....
Back to top
View user's profile Send private message
opotonil
l33t
l33t


Joined: 17 Jun 2005
Posts: 795
Location: 127.0.0.1

PostPosted: Mon May 12, 2014 5:27 pm    Post subject: Reply with quote

Hecha un ojo a estos hilos, a ver si ayuda:

https://forums.gentoo.org/viewtopic-t-950762-highlight-eapi.html
https://forums.gentoo.org/viewtopic-t-952494-highlight-eapi.html

Salu2.
_________________
Localnet
Films Localnet
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Mon May 12, 2014 5:52 pm    Post subject: Reply with quote

He seguido el enlace que me has puesto natrix y he actualizado portage y ahora no me da el error de eapi
al hacer emerge me avisa que hay dos make.profile debo quitar uno?

Code:
!!! Found 2 make.profile dirs: using '/etc/portage/make.profile', ignoring '/etc/make.profile'
!!! Found 2 make.profile dirs: using '/etc/portage/make.profile', ignoring '/etc/make.profile'


Voy a probar de hacer un emerge-uDN world para actualizar
Back to top
View user's profile Send private message
natrix
Guru
Guru


Joined: 23 Aug 2013
Posts: 337

PostPosted: Mon May 12, 2014 6:18 pm    Post subject: Reply with quote

Este es uno de los problemas que te comente que podian aparecer.

Renombra el archivo /etc/make.profile, mas adelante puedes eliminarlo. Quedate con el que esta en /etc/portage.

Con el make.conf puede ocurrir lo mismo, debes usar el make.conf que esta dentro de /etc/portage. Si en /etc tienes uno, tambien debes anularlo y trabajar con el que tienes en /etc/portage. Si no hay ninguno copia el make.conf de /etc a /etc/portage.

Primero actualiza el sistema, luego actualiza el world. Si lo haces de una te apareceran muchos bloqueos y problemas de compilacion.

Saludos
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Mon May 12, 2014 7:09 pm    Post subject: Reply with quote

ok natrix ahora lo hare a ver si todo va bien ya te comentare gracias por la ayuda y a todos los que habeis comentado.
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Tue May 13, 2014 5:25 pm    Post subject: Reply with quote

Me da problemas el actualizar el sistema me salen bloqueos y mas cosas y no me deja actualizar
ni actualizar las fuentes del nucleo con
Code:
emerge gentoo-sources


hace bastante que estoy desconectado de gentoo y estoy perdido
Back to top
View user's profile Send private message
natrix
Guru
Guru


Joined: 23 Aug 2013
Posts: 337

PostPosted: Tue May 13, 2014 6:23 pm    Post subject: Reply with quote

Hola:

Como te decía antes, concéntrate en actualizar el @system. En esta etapa los bloqueo lo vas a tener que ver de a uno.

No se cuanto tiempo lleva tu sistema sin actualizarse pero es probable que tengas que hacer algunas migraciones como la que ya hiciste de portage.

Lee con mucha atención los NEWS de portage, te van a guiar un poco. Y principalmente, mucha paciencia y mucha lectura.

Suerte!!!!
Back to top
View user's profile Send private message
pedraku
n00b
n00b


Joined: 23 Apr 2011
Posts: 70

PostPosted: Tue May 13, 2014 7:20 pm    Post subject: Reply with quote

Si poco a poco y con paciencia, hace bastante que no lo uso no se exacto cuanto
gracias por la ayuda natrix aver si consigo ponerlo al dia .
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum